/*****************************************************************************/
/* trim_wtmp_func.h                                                          */
/*                                                                           */
/* Header file for trim_wtmp_func.c. For comments have a look a the source file.  */
/*                                                                           */
/* (c) 1995 by Markus Schoepflin. See README for details.                    */
/* mod 1999 by Brian Huntley. See README for details    .                    */
/*****************************************************************************/

#ifndef UTMP_FUNC_H
#define UTMP_FUNC_H

#include <time.h>
#include <stdio.h>
#include <errno.h>
#include <sys/types.h>

#if !defined(OSF) && !defined(AIX)

#define TRUE       (0==0)
#define FALSE      (0==1)

#endif

#define BOOL       u_int

#ifdef SUN5_X

#include <utmpx.h>
#define S_UTMP     struct utmpx

#else

#include <utmp.h>
#define S_UTMP     struct utmp

#endif

extern void my_printheader (FILE *);
extern void my_printutent (const S_UTMP *, FILE *);
extern S_UTMP *my_getutent (FILE *);
extern BOOL my_selectutent (const S_UTMP *, time_t, BOOL);

#endif
